MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023313Community[OCCT] OCCT:Modeling Algorithmspublic2012-07-17 19:362012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023313: Return Standard_False in case of an unsupported case in IntAna_Curve.cxx
DescriptionIn IntAna_Curve::FindParameter, in line 424 - if the provided surface type is none of the expected return Standard_False.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021025)
Pawel (developer)
2012-07-17 19:39

Corresponding git branch pushed. Please review.
(0021032)
abv (manager)
2012-07-18 08:56

I wonder if it should be return or exception (or at least an assert).
Anyway, reviewed, please test
(0021064)
apn (administrator)
2012-07-19 13:58

Dear BugMaster,
The workbenches
KAS:dev:mkv-23313-occt (GIT branch CR23313)
KAS:dev:mkv-23313-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23313-products_18072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master 841d6672
Timestamp: 2012-07-17 15:38:18
Author: Pawel
Details ] Diff ]
0023313: Return Standard_False in case of an unsupported case in IntAna_Curve.cxx

Return Standard_False in case of unsupported case.
mod - src/IntAna/IntAna_Curve.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-17 19:36 Pawel New Issue
2012-07-17 19:36 Pawel Assigned To => Pawel
2012-07-17 19:39 Pawel Note Added: 0021025
2012-07-17 19:39 Pawel Assigned To Pawel => bugmaster
2012-07-17 19:39 Pawel Status new => resolved
2012-07-18 08:56 abv Note Added: 0021032
2012-07-18 08:56 abv Status resolved => reviewed
2012-07-18 13:02 mkv Assigned To bugmaster => mkv
2012-07-19 12:11 mkv Assigned To mkv => apn
2012-07-19 13:58 apn Note Added: 0021064
2012-07-19 13:59 apn Test case number => Not needed
2012-07-19 13:59 apn Assigned To apn => bugmaster
2012-07-19 13:59 apn Status reviewed => tested
2012-07-23 12:20 Pawel Changeset attached => occt master 841d6672
2012-07-23 12:22 Pawel Assigned To bugmaster => Pawel
2012-07-23 12:22 Pawel Status tested => verified
2012-07-23 12:22 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker